APISnippets
Create snippet
Create a reply snippet. Requires the Pro plan and the snippets:write scope.
POST
/snippetscurl -X POST "https://productlane.com/api/v2/snippets" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"html": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
titlestringrequiredhtmlstringrequiredfolder_idstring | nullSnippet folder id, or
nullfor uncategorized. Fetch folders viaGET /snippets/folders.
Response
application/json
Successful response
idstringrequiredtitlestringrequiredhtmlstringrequiredfolder_idstring | nullrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"title": "string",
"html": "string",
"folder_id": "string",
"created_at": "string",
"updated_at": "string"
}